# HG changeset patch
# User Jeroen Demeyer <jdemeyer@cage.ugent.be>
# Date 1328870865 28800
# Node ID 870c0d20d94d71adfe49376b2e20aee309df326a
# Parent aa5da869b41cfd4f88262d3035b9cab0b28e1383
Make sage-make_devel_packages not fail if there is nothing to commit
diff --git a/sage-make_devel_packages b/sage-make_devel_packages
|
a
|
b
|
|
| 39 | 39 | DESTINATION=`pwd` |
| 40 | 40 | PKG="$DESTINATION" |
| 41 | 41 | |
| 42 | | # NEW SAGE SOURCE PACKAGE |
| | 42 | # NEW SAGE LIBRARY PACKAGE |
| 43 | 43 | if [ -d "$SAGE_ROOT"/devel/sage ]; then |
| 44 | 44 | cd "$SAGE_ROOT"/devel/sage |
| 45 | 45 | hg diff |
| 46 | 46 | hg status |
| 47 | 47 | hg tag "$SAGE_VERSION" |
| 48 | 48 | hg commit -m "$SAGE_VERSION" |
| 49 | | #./sage-push |
| | 49 | if [ $? -gt 1 ]; then # Status 1 is returned when there are no changes |
| | 50 | echo >&2 "Error committing Sage library repository." |
| | 51 | exit 1 |
| | 52 | fi |
| | 53 | |
| 50 | 54 | ./spkg-dist "$SAGE_VERSION" "$SAGE_ROOT" |
| 51 | 55 | if [ $? -ne 0 ]; then |
| 52 | | echo "Error building the Sage source code package" |
| | 56 | echo "Error building the Sage library package" |
| 53 | 57 | exit 1 |
| 54 | 58 | fi |
| 55 | 59 | mv dist/sage-"$SAGE_VERSION".spkg "$DESTINATION"/ |
| … |
… |
|
| 68 | 72 | hg status |
| 69 | 73 | hg tag "$SAGE_VERSION" |
| 70 | 74 | hg commit -m "$SAGE_VERSION" |
| 71 | | |
| 72 | | #./sage-push |
| | 75 | if [ $? -gt 1 ]; then # Status 1 is returned when there are no changes |
| | 76 | echo >&2 "Error committing extcode repository." |
| | 77 | exit 1 |
| | 78 | fi |
| | 79 | |
| 73 | 80 | ./spkg-dist "$SAGE_VERSION" "$SAGE_ROOT" |
| 74 | 81 | if [ $? -ne 0 ]; then |
| 75 | 82 | echo "Error building the extcode package" |
| … |
… |
|
| 93 | 100 | SCRIPTS=sage_scripts-"$SAGE_VERSION" |
| 94 | 101 | cd "$SAGE_ROOT"/local/bin/ |
| 95 | 102 | |
| 96 | | #./sage-push |
| 97 | 103 | hg diff |
| 98 | 104 | hg status |
| 99 | 105 | hg tag "$SAGE_VERSION" |
| 100 | 106 | hg commit -m "$SAGE_VERSION" |
| 101 | | |
| 102 | | if [ $? -ne 0 ]; then |
| 103 | | echo "Error pushing scripts repository." |
| | 107 | if [ $? -gt 1 ]; then # Status 1 is returned when there are no changes |
| | 108 | echo >&2 "Error committing scripts repository." |
| 104 | 109 | exit 1 |
| 105 | 110 | fi |
| 106 | 111 | |